View Issue Details

IDProjectCategoryView StatusLast Update
0002182Industrial-Craft²crossmod-compatibility / submodules / APIpublic2017-05-13 14:12
ReporterhypsellisAssigned ToAroma1997 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
Product Version 
Target VersionFixed in Version 
Summary0002182: broken IndustrialCraft compatibility with CommonCapabilities
DescriptionThe 2.7.33 IndustrialCraft version brokes the compatibility with CommonCompability and causes it to crash. https://pastebin.com/yBB8AyW4

I already reported it to the CommonCapabilities devs, but they requested me to report this issue to ic2 devs too. https://github.com/CyclopsMC/CommonCapabilities/issues/6
Steps To ReproduceHaving IndustrialCraft 2.7.33 and any version of CommonCapabilities on 1.11.2 with the compatibility with ic2 activated in the CommonCapabilities config.
TagsNo tags attached.
Minecraft Version1.11.2

Activities

Aroma1997

2017-05-13 13:28

developer   ~0005214

That's their bug. It can be fixed, by putting after:ic2 in the dependencies field of the @Mod annotation.

Issue History

Date Modified Username Field Change
2017-05-13 11:53 hypsellis New Issue
2017-05-13 13:28 Aroma1997 Note Added: 0005214
2017-05-13 13:28 Aroma1997 Status new => closed
2017-05-13 13:28 Aroma1997 Assigned To => Aroma1997
2017-05-13 13:28 Aroma1997 Resolution open => fixed
2017-05-13 14:12 Chocohead Resolution fixed => no change required